Passer au contenu principal
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
domains
/
{domain}
Mettre à jour un domaine
curl --request PATCH \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auto_renew": true,
  "redirect_url": "<string>",
  "workspace_id": "<string>"
}
'
{
  "auto_renew": true,
  "id": "<string>",
  "workspace_id": "<string>",
  "redirect_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Paramètres de chemin

account_id
string<uuid>
requis
domain
string
requis

Corps

application/json

Schema pour mettre a jour la configuration de domaine destinee au client.

auto_renew
boolean | null
redirect_mode
enum<string> | null

Redirect mode à use lorsque créer ou updating un redirect

Options disponibles:
301,
302,
iframe
redirect_url
string | null

HTTPS redirect URL, ou null à clear

workspace_id
string<uuid4> | null

Réponse

auto_renew
boolean
requis
id
string<uuid4>
requis
workspace_id
string<uuid4>
requis
redirect_mode
enum<string> | null
Options disponibles:
301,
302,
iframe
redirect_url
string | null